<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class ResultadoAdmision extends Model
{
    protected $table = 'resultados_admision';

    protected $fillable = [
        'dni',
        'paterno',
        'materno',
        'nombres',
        'puntaje',
        'vocacional',
        'apto',
        'obs',
        'desprograma',
        'idproceso',
        'idearea',
        'litho',
        'numlectura',
        'tipo',
        'calificar',
        'aula',
        'respuestas',
        'puesto'
    ];

    protected $casts = [
        'puntaje' => 'decimal:2',
        'vocacional' => 'decimal:2',
        'desprograma' => 'boolean',
        'calificar' => 'boolean',
        'respuestas' => 'array'
    ];


    public function proceso()
    {
        return $this->belongsTo(ProcesoAdmision::class, 'idproceso');
    }

    public function area()
    {
        return $this->belongsTo(AreaAdmision::class, 'idearea');
    }

    public function detalleCursos()
    {
        return $this->hasOne(ResultadoAdmisionCarga::class, 'dni', 'dni')
            ->whereColumn('idproceso', 'resultados_admision.idproceso')
            ->whereColumn('idearea', 'resultados_admision.idearea');
    }
}
